#include "Arduino.h"
#include "Robot.h"

//Robot class that is controlled via the RomeoBLE board

Robot::Robot()
{
  // RomeoBLE motor control
  E1 = 5;     //M1 Speed Control
  E2 = 6;     //M2 Speed Control
  M1 = 4;    //M1 Direction Control
  M2 = 7;    //M1 Direction Control
  motor_max_speed = 150;
}

void Robot::start()
{
  // RomeoBLE board initialization
  int i;
  for(i=4;i<=7;i++)
  pinMode(i, OUTPUT);
  Serial.begin(115200);
}

void Robot::set_motor(byte motor, char motor_speed, bool forward)
{
  if(motor == 1)
  {
    analogWrite (E1,motor_speed);
    if(forward)
      digitalWrite(M1,HIGH);
    else
      digitalWrite(M1,LOW);
  }
  if(motor == 2)
  {
    analogWrite (E2,motor_speed);
    if(forward)
      digitalWrite(M2,HIGH);
    else
      digitalWrite(M2,LOW);
  }
}

void Robot::move_forward(char motor_speed)
{
  if (motor_speed > motor_max_speed)
            motor_speed = motor_max_speed;
  set_motor(1,motor_speed,true);
  set_motor(2,motor_speed,true);
}

void Robot::move_backward(char motor_speed)
{
  if (motor_speed > motor_max_speed)
            motor_speed = motor_max_speed;
  set_motor(1,motor_speed,false);
  set_motor(2,motor_speed,false);
}

void Robot::turn_right(char motor_speed)
{
  if (motor_speed > motor_max_speed)
            motor_speed = motor_max_speed;
  set_motor(1,motor_speed,false);
  set_motor(2,motor_speed,true);
}

void Robot::turn_left(char motor_speed)
{
  if (motor_speed > motor_max_speed)
            motor_speed = motor_max_speed;
  set_motor(1,motor_speed,true);
  set_motor(2,motor_speed,false);
}

void Robot::stop_movement()
{
  set_motor(1,0,true);
  set_motor(2,0,true);
}
